org.omg.PortableServer

## Interface IdUniquenessPolicyOperations

- All Superinterfaces:
    PolicyOperations
  All Known Subinterfaces:
    IdUniquenessPolicy

      public interface IdUniquenessPolicyOperations
      extends PolicyOperations

  The IdUniquenessPolicy specifies whether the servants activated in the created POA must have unique object i identities. The default is UNIQUE_ID.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IdUniquenessPolicyValue` | `value()` specifies the policy value

    - ### Methods inherited from interface org.omg.CORBA.PolicyOperations

      `copy, destroy, policy_type`

- - ### Method Detail

    - #### value

          IdUniquenessPolicyValue value()

      specifies the policy value

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.